Skip Menu |
 

This queue is for tickets about the MailTools CPAN distribution.

Report information
The Basics
Id: 54148
Status: resolved
Priority: 0/
Queue: MailTools

People
Owner: Nobody in particular
Requestors: g.grigelionis [...] computer.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: MailTools 2.06 work with perl 5.8.0
Date: Sat, 30 Jan 2010 16:13:59 +0100
To: bug-MailTools [...] rt.cpan.org
From: Gintas Grigelionis <g.grigelionis [...] computer.org>
Download (untitled) / with headers
text/plain 120b
require 5.008001 in Makefile.PL is too strict, MailTools 2.06 pass all tests with perl 5.8.0 (RHEL 3) Regards, Gintas
CC: undisclosed-recipients: ;
Subject: Re: [rt.cpan.org #54148] MailTools 2.06 work with perl 5.8.0
Date: Sat, 30 Jan 2010 21:10:13 +0100
To: Gintas Grigelionis via RT <bug-MailTools [...] rt.cpan.org>
From: Mark Overmeer <solutions [...] overmeer.net>
Download (untitled) / with headers
text/plain 870b
* Gintas Grigelionis via RT (bug-MailTools@rt.cpan.org) [100130 15:15]: Show quoted text
> Sat Jan 30 10:15:36 2010: Request 54148 was acted upon. > Transaction: Ticket created by g.grigelionis@computer.org > Queue: MailTools > Subject: MailTools 2.06 work with perl 5.8.0 > > require 5.008001 in Makefile.PL is too strict, MailTools 2.06 pass all > tests with perl 5.8.0 (RHEL 3)
Quite some parts of MailBox are depending on a correct Unicode implementation. This was broken up to 5.8.3. Yes, the tests may pass, but your application probably not. -- MarkOv ------------------------------------------------------------------------ Mark Overmeer MSc MARKOV Solutions Mark@Overmeer.net solutions@overmeer.net http://Mark.Overmeer.net http://solutions.overmeer.net
Subject: Re: [rt.cpan.org #54148] MailTools 2.06 work with perl 5.8.0
Date: Sat, 06 Feb 2010 07:12:51 +0100
To: bug-MailTools [...] rt.cpan.org
From: Gintas Grigelionis <g.grigelionis [...] computer.org>
Download (untitled) / with headers
text/plain 360b
Mark Overmeer via RT wrote: Show quoted text
> Quite some parts of MailBox are depending on a correct Unicode > implementation. This was broken up to 5.8.3. Yes, the tests > may pass, but your application probably not.
If test coverage is satisfactory, let the downstream users take care of their problems instead of imposing random version restrictions. Regards, Gintas
Subject: Re: [rt.cpan.org #54148] MailTools 2.06 work with perl 5.8.0
Date: Sat, 6 Feb 2010 11:15:04 +0100
To: Gintas Grigelionis via RT <bug-MailTools [...] rt.cpan.org>
From: Mark Overmeer <mark [...] overmeer.net>
Download (untitled) / with headers
text/plain 1.1k
* Gintas Grigelionis via RT (bug-MailTools@rt.cpan.org) [100206 06:13]: Show quoted text
> Queue: MailTools > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=54148 > > > Mark Overmeer via RT wrote: >
> > Quite some parts of MailBox are depending on a correct Unicode > > implementation. This was broken up to 5.8.3. Yes, the tests > > may pass, but your application probably not.
> > If test coverage is satisfactory, let the downstream users take care of > their problems instead of imposing random version restrictions.
Well, everyone has his own policy. I do not want to hunt user bugs which are caused by ancient Perl versions. 5.8.0 is 7 years old, quite much older than the average professional computer system. So, I think it is reasonable. The poor admins which have to live with expired systems can remove the $] test. Let's hope they know what they are doing. (Probably not) -- MarkOv ------------------------------------------------------------------------ Mark Overmeer MSc MARKOV Solutions Mark@Overmeer.net solutions@overmeer.net http://Mark.Overmeer.net http://solutions.overmeer.net
not a bug


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.